Telegram APIMessages
messages.reportReaction
Report a message reaction
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Report a message reaction
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.reportReaction" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "id": 0, "reactionPeer": { "_": "inputPeerEmpty" } } }'{ "result": true}reportMusicListen
Report the listening duration of a music track (audio document without the voice flag), see [here »](https://core.telegram.org/api/views#music-listens) for more info on the full flow.
reportReadMetrics
Report viewport read metrics for visible messages, indicating how long each message stayed in the chat viewport, see [here »](https://core.telegram.org/api/views#read-metrics) for more info on the full flow.